<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Introduction</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="intro">Introduction </a></h1><p>The properties of modern magnetic materials are strongly influenced by their microstructure. The continuing improvement of the properties of SmCo based magnets has been made possible by additives like Cu and Zr and a refined processing route and heat treatment, which have a great impact on the resulting cellular precipitation structure. The typical size of the cells is in the order of 100&nbsp;nm with an intercellular phase of around 10&nbsp;nm. The particle size in magnetic recording tapes is of the same order of magnitude. The typical grain size in current hard disk storage media is about 8&nbsp;nm with an intergranular region of about 2&nbsp;nm for exchange decoupling of the grains.</p>
<p>These structures are so small that quantum mechanical effects like exchange have to be taken into account. However, they are too large for a pure quantum mechanical description, which would exceed the capabilities of today's ab-initio computational models. On this intermediate level between the macroscopic world and a description with atomic resolution, micromagnetic models have proved to be a useful tool. These computational models provide great freedom in the choice of experiment conditions and in the variation of material parameters. In addition to measurements of the remanent magnetization and the coercive field, it is possible to study the details of the magnetization distribution and the magnetization reversal processes, which are difficult to investigate experimentally.</p>
<p>In various fields of computer aided engineering like structural analysis, fluid dynamics, and electromagnetic field computation, as well as micromagnetics the finite element method has been successfully applied. Especially its flexibility in modeling arbitrary geometries has made it very popular. In the light of the importance of the microstructure of magnetic materials the finite element method has been chosen for the implementation of a micromagnetic model.</p>
<p>There are several commercial and open source micromagnetics packages available, however all of them use the finite difference method. In addition, static energy minimization methods for the study of SmCo permanent magnets as well as dynamic time integration methods for the investigation of the magnetization dynamics in magnetic nanoparticles are desirable.</p>
<p>Therefore, a finite element micromagnetics package has been implemented which combines several unique features:</p>
<ul>
<li><b>Applicability</b> to a variety of static and dynamic micromagnetic problems including uniaxial and cubic anisotropy, exchange, magnetostatic interactions and external fields</li>
<li><b>Flexibility</b> of the finite element method concerning the geometry and accuracy by using unstructured graded meshes</li>
<li><b>Availability</b> due to its design based on free, open source software packages</li>
<li><b>Portability</b> to different hardware platforms, which range from simple PCs to massively parallel supercomputers</li>
<li><b>Scalability</b> due to its highly optimized design and efficient libraries</li>
<li><b>Versatility</b> by including static energy minimization and dynamic time integration methods </li>
</ul>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

